package com.fzm.common.open.entity.dataobject;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.util.Date;

@Data
@TableName("tb_open_copyright_apply")
public class CopyrightApiDO {

    @TableId(type = IdType.AUTO)
    private Integer id;

    private String serialNum;

    private String appKey;

    private String appName;

    private String bizId;

    private String registerEntrust;

    private String opusName;

    private Integer opusCategoryId;

    private String opusProperty;

    private String contentSynopsis;

    private String createProcess;

    private Date opusCompleteDate;

    private String opusCompleteProvince;

    private String opusCompleteCity;

    private Integer publishState;

    private Date firstPublishDate;

    private String firstPublishProvince;

    private String firstPublishCity;

    private String authorityAcquireMode;

    private String authorityAcquireProve;

    private String authorityAscriptionMode;

    private String authorityAscriptionProve;

    private String opusPowerGuarantee;

    private Date applyTime;

    private Date passTime;

    private String checkUsername;

    // 参考枚举类-com.fzm.common.enums.CopyrightApplyState
    private Integer registerState;

    private String evidenceHash;

    private Date evidenceDate;

    private String rejectReason;

    @JsonProperty(access = JsonProperty.Access.WRITE_ONLY)
    private String content;

    private String registerCode;

    private String registerOwner;

    private String registerTime;

    private Date createDate;

    private Date updateDate;

}
