package com.fzm.common.service.impl;

import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fzm.common.entity.CopyrightAuthorityRelation;
import com.fzm.common.mapper.CopyrightAuthorityRelationMapper;
import com.fzm.common.service.CopyrightAuthorityRelationService;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author tangtuo
 * @date 2021/12/9 11:44
 */
@Service
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class CopyrightAuthorityRelationServiceImpl extends ServiceImpl<CopyrightAuthorityRelationMapper, CopyrightAuthorityRelation> implements CopyrightAuthorityRelationService {

    private final CopyrightAuthorityRelationMapper copyrightAuthorityRelationMapper;

    @Override
    public void delByCopyrightId(Integer copyrightId) {
        UpdateWrapper<CopyrightAuthorityRelation> updateWrapper = new UpdateWrapper<>();
        updateWrapper.eq("copyright_id", copyrightId);
        copyrightAuthorityRelationMapper.delete(updateWrapper);
    }

}
