package com.fzm.common.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author tangtuo
 * @date 2022/1/19 15:09
 */
@Data
public class OrderDto {

    @NotNull(message = "订单金额不能为空")
    @ApiModelProperty("订单价格")
    private Long fee;

    @NotNull(message = "支付场景不能为空")
    @ApiModelProperty("支付场景 1-nft发行 2-版权申请")
    private Integer payScene;

    @ApiModelProperty("产品id nft的id或者copyright的id")
    private Integer productId;
}
