package com.fzm.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author tangtuo
 * @date 2022/1/24 17:19
 *
 * <p>
 * nft发行状态
 * </p>
 */
@Getter
@AllArgsConstructor
public enum PublishStatus {


    TO_BE_PAY(0, "待支付"),
    PUBLISHING(1, "发行中"),
    SUSSED(2, "发行成功"),
    FAILED(3, "发行失败");

    private final Integer code;
    private final String type;


}
