package com.fzm.common.mapper;

import cn.hutool.core.date.DateTime;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fzm.common.entity.Payment;
import com.fzm.common.entity.vo.PaymentVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author tangtuo
 * @date 2022/1/20 16:39
 */
@Mapper
public interface PaymentMapper extends BaseMapper<Payment> {


    List<PaymentVo> list(@Param("name") String name, @Param("telephone") String telephone, @Param("orderName") String orderName, @Param("type") String type, @Param("payScene") Integer payScene, @Param("startDate") DateTime startDate, @Param("endDate") DateTime endDate);
}
