package com.fzm.common.open.entity.openobject;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author wt
 * @date 2022/4/24
 */
@Data
public class CopyrightFileOO {
    @NotBlank(message = "附件名不能为空")
    @ApiModelProperty("附件名")
    private String fileName;

    @NotBlank(message = "附件路径不能为空")
    @ApiModelProperty("附件路径")
    private String fileUrl;

    @NotBlank(message = "文件hash不能为空")
    @ApiModelProperty("文件hash")
    private String fileHash;

    @NotBlank(message = "文件扩展名不能为空")
    @ApiModelProperty("文件扩展名")
    private String fileSuffix;

    @NotBlank(message = "文件大小不能为空")
    @ApiModelProperty("文件大小")
    private Long fileSize;
}
