package com.fzm.common.open.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.common.open.entity.dataobject.CopyrightApiAuthorDO;

import java.util.List;

/**
 * @author tangtuo
 * @date 2021/12/9 11:41
 */
public interface CopyrightApiAuthorService extends IService<CopyrightApiAuthorDO> {

    /**
     * 根据版权id查询作者列表
     *
     * @param copyrightId
     * @return
     */
    List<CopyrightApiAuthorDO> getByCopyrightId(int copyrightId);
}
